OnlyFans API
FanslyLists

Add Users to List

Add one or more users/subscribers to a list.

POST
/api/fansly/{fanslyAccount}/lists/{list_id}/items
AuthorizationBearer <token>

Get your API Key from OnlyFansAPI Console - https://app.onlyfansapi.com/api-keys

In: header

Path Parameters

fanslyAccount*string

The Fansly Account ID

list_id*string

The Fansly list ID.

Request Body

application/json

ids*array<string>

Fansly user/subscriber IDs to add to the list.

type?integer

List item type code. Defaults to 1 (subscriber).

Response Body

application/json

curl -X POST "https://app.onlyfansapi.com/api/fansly/fansly_acct_XXXXXXXXXXXXXXX/lists/853242689510977536/items" \  -H "Content-Type: application/json" \  -d '{    "ids": [      "914611437760950272"    ]  }'
{
  "data": [
    {
      "id": "600000000000000001",
      "listId": "200000000000000001",
      "type": 1,
      "metadata": ""
    }
  ],
  "_meta": {
    "_credits": {
      "used": 1,
      "balance": 10055784,
      "note": "Always"
    },
    "_cache": {
      "is_cached": false,
      "note": "Cache disabled for this endpoint"
    },
    "_rate_limits": {
      "limit_minute": 5000,
      "limit_day": null,
      "remaining_minute": 4999,
      "remaining_day": null,
      "notice": "We have decided to remove our daily rate limits. Please remove any references to these in your integrations."
    }
  }
}